QPointVal(3qt)

NAME
QPointVal - Internal class, used with QPointArray

SYNOPSIS

#include <qpointarray.h>

  Public Members
QPointVal ( QPointData * ptr )
QPointVal& operator= ( const QPoint & point )
QPointVal& operator+= ( const QPoint & point )
QPointVal& operator-= ( const QPoint & point )
operator QPoint ()const
int x () const
int y () const

DESCRIPTION
The QPointVal class is an internal class, used with QPointArray.

The QPointVal is required by the indexing [] operator on point arrays. It is probably a bad idea to use it in any other context.

MEMBER FUNCTION DOCUMENTATION

QPointVal::QPointVal ( QPointData * ptr )
Constructs a reference to an element in a QPointArray. This is what QPointArray::operator[] contructs its return value with.

QPointVal::operator QPoint () const
Returns the value of the point referenced by this QPointVal.

QPointVal& QPointVal::operator+= ( const QPoint & point )
Vector-adds a given point to the value referenced by this QPointVal.

QPointVal& QPointVal::operator-= ( const QPoint & point )
Vector-subtracts a given point to the value referenced by this QPointVal.

QPointVal& QPointVal::operator= ( const QPoint & point )
Assigns a given point to the value referenced by this QPointVal.

int QPointVal::x () const
Returns the X coordinate of the point referenced by this QPointVal.

int QPointVal::y () const
Returns the Y coordinate of the point referenced by this QPointVal.

SEE ALSO
http://www.troll.no/qt/qpointval.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.